Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0011468 [DCSS] Bug Report major always 2018-05-04 12:43 2018-09-29 22:33
Reporter Ge0ff View Status public  
Assigned To ebering
Priority normal Resolution done  
Status resolved   Product Branch 0.22 stable branch
Summary 0011468: Specifying an unsupported colour in menu_colour crashes the game
Description To reproduce the bug add into .rc the following:

menu_colour += stash:gold:gold piece

then spawn a pile of gold and do a stash search with Ctrl-f .

Local tiles are not affected.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0032286)
ebering (developer)
2018-06-08 19:16

Digging in to this, any unsupported color won't cause a crash.

Using the name of an elemental colour is what's triggering this bug, as str_to_colour is being used to get a color number, and is returning a non-console value for strings that match the name of a crawl elemental colour.
(0032287)
ebering (developer)
2018-06-08 19:57

More digging. The commit 900b867fb7dce fixed a similar crash.

https://github.com/crawl/crawl/pull/781 [^] changes str_to_colour to default to returning only terminal colours, and explicitly allows elemental colours in dlua for vault support.
(0032661)
ebering (developer)
2018-09-29 22:33

Fixed in 0.23-a0-265-g9c2c487

- Issue History
Date Modified Username Field Change
2018-05-04 12:43 Ge0ff New Issue
2018-06-08 19:16 ebering Note Added: 0032286
2018-06-08 19:57 ebering Note Added: 0032287
2018-09-29 22:33 ebering Note Added: 0032661
2018-09-29 22:33 ebering Status new => resolved
2018-09-29 22:33 ebering Resolution open => done
2018-09-29 22:33 ebering Assigned To => ebering


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker